#include <cstdlib>
#include <iostream>
#include "routecalc.h"
#include <iomanip>

using namespace std;

int main(int argc, char *argv[])
{
    cout<<"Route Calculator\n-----------------------------\n";
    if (argc > 1){
       if (string(argv[1]) == "/?"){
       HelpFile();
       }
    }
    RouteCalc Route = GetRoute();
    
    float BRG, SPD;
    CalcRoute(Route, BRG, SPD);
    cout<<"\n BEARING: --- "<<setprecision(6)<<BRG<<" Degrees\n"
          <<" GROUNDSPEED: "<<setprecision(6)<<SPD<<" Units\n"<<endl;
          
    bool Yes = false;
    bool HasTime = false;
    cout<<"Calculate Fuel Consumption (1/0): ";
    cin>>Yes;
    float DIST = 0;
    float TIME = 0;
    int HR2 = 0, MI2 = 0;
    if(Yes){
    
    HasTime = true;
    
      cout<<"\nDistance to Cover (Units): --- ";
      cin>>DIST;
      float FUEL = Consumption(SPD, DIST, TIME);
      cout<<"\n Fuel Required:- "<<setprecision(5)<<FUEL<<" Units";
      TimeCalc(TIME, HR2, MI2);
      cout<<"\n Time Taken: --- "<<HR2<<":"<<MI2<<"\n";
    }
    
    cout<<"\nCalculate E.T.A. (1/0): ";
    cin>>Yes;
    
    if(Yes){
       cout<<endl;
            if (HasTime == false){
              cout<<"Distance to Cover (Units): --- ";              
              cin>>DIST;
              TIME = DIST / SPD;   
            }
            
       int HRS, MIN;
       char Arb;
       cout<<"Enter Departure Time  (Hrs:Min): ";
       cin>>HRS>>Arb>>MIN; 
       TimeCalc(TIME, HR2, MI2, HRS, MIN);
       cout<<"\n E.T.A. is "<<HR2<<":"<<MI2<<"\n"<<endl;
    }
    cout<<endl;
    system("PAUSE");
    return EXIT_SUCCESS;
}
