#ifndef ROUTECALC
#define ROUTECALC



//Functions tha Does Stuff to Standard Data Types
void HelpFile();
float Radians(float Deg);
float Degrees(float Rad);
float QuadFix(float Angle);
int Sign(float K1, float K2);
float CircFix(float Angle);
float Consumption(float SPD, float DIST, float &TIME);
void TimeCalc(float TIME, int &HR2, int &MI2, int HRS = 0, int MIN = 0);

class RouteCalc{
      public:
      //Constructurs
             RouteCalc();
             RouteCalc(float RB, float CS, float WB, float WS);
      //Data Members -- Left Public -- No Inspectors and Mutators needed
             float RB;
             float CS;
             float WB;
             float WS;             
};

//Functions that Do stuff wint my Class
void CalcRoute(RouteCalc Route, float &BRG, float &SPD);  
RouteCalc GetRoute();


#endif
